play.templates

## Enum TemplateParser.Token

- java.lang.Object
- - java.lang.Enum<TemplateParser.Token>
  - - play.templates.TemplateParser.Token

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TemplateParser.Token>
  Enclosing class:
    TemplateParser

      public static enum TemplateParser.Token
      extends java.lang.Enum<TemplateParser.Token>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABS_ACTION`
    `ACTION`
    `COMMENT`
    `END_TAG`
    `EOF`
    `EXPR`
    `MESSAGE`
    `PLAIN`
    `SCRIPT`
    `START_TAG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TemplateParser.Token` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TemplateParser.Token[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EOF

          public static final TemplateParser.Token EOF

    - #### PLAIN

          public static final TemplateParser.Token PLAIN

    - #### SCRIPT

          public static final TemplateParser.Token SCRIPT

    - #### EXPR

          public static final TemplateParser.Token EXPR

    - #### START_TAG

          public static final TemplateParser.Token START_TAG

    - #### END_TAG

          public static final TemplateParser.Token END_TAG

    - #### MESSAGE

          public static final TemplateParser.Token MESSAGE

    - #### ACTION

          public static final TemplateParser.Token ACTION

    - #### ABS_ACTION

          public static final TemplateParser.Token ABS_ACTION

    - #### COMMENT

          public static final TemplateParser.Token COMMENT

  - ### Method Detail

    - #### values

          public static TemplateParser.Token[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TemplateParser.Token c : TemplateParser.Token.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TemplateParser.Token valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly